<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title>{% block title %}Welcome!{% endblock %}</title>
        {# Run `composer require symfony/webpack-encore-bundle`
           and uncomment the following Encore helpers to start using Symfony UX #}
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootswatch@4.5.2/dist/lux/bootstrap.min.css" integrity="sha384-9+PGKSqjRdkeAU7Eu4nkJU8RFaH8ace8HGXnkiKMP9I9Te0GJ4/km3L1Z8tXigpG" crossorigin="anonymous">
        {% block stylesheets %}
            {#{{ encore_entry_link_tags('app') }}#}
        {% endblock %}

        {% block javascripts %}
            {#{{ encore_entry_script_tags('app') }}#}
        {% endblock %}
        </head>
        <body>
            <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
        <div class="container-fluid">
                    <a class="navbar-brand" href="/"><img src="https://cdn.discordapp.com/attachments/539117854247878686/912349805722877992/logo-removebg-preview.png" width="60" height="50"> MATETE</a>
                    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarColor01" aria-controls="navbarColor01" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                    </button>

                    <div class="collapse navbar-collapse" id="navbarColor01">
                    <ul class="navbar-nav me-auto">
                        <li class="nav-item">
                            <a class="nav-link "  href="/annonces">Annonces</a>
                        </li>
                        {% if app.user %}
                        <li class="nav-item">
                            <a class="nav-link" href="/annonces/new">Nouvelle annonce</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="/mesannonces">Mes Annonces</a>
                        </li> 
                        {% endif %}                                  
                    </ul>
                    <ul class="navbar-nav" style="margin-left:auto">
                    
                    {% if app.user %}
                        <li class="nav-item">
                        <a class="btn btn-outline-dark" href="{{ path('panier')}}" > <svg xmlns="http://www.w3.org/2000/svg" x="0px" y="0px"
                            width="24" height="24"
                            viewBox="0 0 226 226"
                            style=" fill:#000000;"><g fill="none" fill-rule="nonzero" stroke="none" stroke-width="1" stroke-linecap="butt" stroke-linejoin="miter" stroke-miterlimit="10" stroke-dasharray="" stroke-dashoffset="0" font-family="none" font-weight="none" font-size="none" text-anchor="none" style="mix-blend-mode: normal"><path d="M0,226v-226h226v226z" fill="none"></path><g fill="#ffffff"><path d="M113,18.87931c-6.20773,0 -12.41831,2.34873 -17.11369,7.04411l-58.82658,58.82658h-15.96419c-7.25818,0 -12.94514,6.90813 -11.55013,14.03304l16.36881,83.65568c2.80118,14.32325 15.44256,24.72795 30.03401,24.72795h114.01156c14.59146,0 27.23284,-10.40469 30.03402,-24.72795l16.36882,-83.65568c1.39501,-7.12491 -4.29195,-14.03304 -11.55013,-14.03304h-15.87223l-58.83578,-58.82658c-4.69538,-4.69538 -10.89676,-7.04411 -17.10449,-7.04411zM113,32.91235c2.56389,0 5.12252,1.00272 7.11768,2.99788l48.84896,48.83976h-111.93327l48.83976,-48.83976c1.99516,-1.99516 4.56298,-2.99788 7.12687,-2.99788zM23.96468,98.875h14.98022c0.6437,0.08926 1.29665,0.08926 1.94035,0h144.24788c0.62859,0.08506 1.26578,0.08506 1.89437,0h14.92505l-15.81706,80.85091c-1.52107,7.77766 -8.25191,13.31576 -16.1757,13.31576h-114.01156c-7.92378,0 -14.65463,-5.53809 -16.1757,-13.31576zM58.66105,117.60718c-1.99464,0.05204 -3.87422,0.9453 -5.1742,2.45903c-1.29998,1.51372 -1.89907,3.50667 -1.6492,5.48629l4.70833,42.375c0.20694,2.56647 1.79405,4.81701 4.14211,5.87353c2.34806,1.05652 5.08501,0.75162 7.14298,-0.79575c2.05798,-1.54736 3.1109,-4.09201 2.74794,-6.6411l-4.70833,-42.375c-0.3563,-3.68955 -3.50411,-6.476 -7.20964,-6.382zM96.41048,117.60718c-3.8969,0.06088 -7.00805,3.26668 -6.95215,7.16365v42.375c-0.03602,2.54699 1.30215,4.91607 3.5021,6.20008c2.19995,1.28401 4.92084,1.28401 7.1208,0c2.19995,-1.28401 3.53812,-3.65309 3.5021,-6.20008v-42.375c0.0274,-1.90979 -0.71982,-3.74926 -2.07124,-5.09896c-1.35143,-1.3497 -3.19186,-2.09455 -5.10161,-2.0647zM129.36881,117.60718c-3.8969,0.06088 -7.00805,3.26668 -6.95215,7.16365v42.375c-0.03602,2.54699 1.30215,4.91607 3.5021,6.20008c2.19995,1.28401 4.92084,1.28401 7.1208,0c2.19995,-1.28401 3.53812,-3.65309 3.5021,-6.20008v-42.375c0.0274,-1.90979 -0.71982,-3.74926 -2.07124,-5.09896c-1.35143,-1.3497 -3.19186,-2.09455 -5.10161,-2.0647zM167.12744,117.60718c-3.62472,0.0165 -6.64858,2.77413 -6.99813,6.382l-4.70833,42.375c-0.36295,2.54909 0.68997,5.09374 2.74794,6.6411c2.05798,1.54736 4.79493,1.85227 7.14298,0.79575c2.34806,-1.05652 3.93517,-3.30706 4.14211,-5.87353l4.70833,-42.375c0.25375,-2.01582 -0.37284,-4.04328 -1.71969,-5.56443c-1.34685,-1.52115 -3.28351,-2.38865 -5.31522,-2.38088z"></path></g></g></svg>
                        </a></li>
                        <li class="nav-item"> 
                            <a class="btn btn-outline-info" href="{{ path('profil', {'id': app.user.id})  }}">Profil</a> 
                        </li> 
                        <li class="nav-item"> 
                            <a class="btn btn-outline-danger" href="{{ path('app_logout') }}">Déconnexion</a> 
                        </li> 
                    {% else %}
                        <li class="nav-item">
                        <a class="btn btn-outline-dark" href="{{ path('panier')}}" > <svg xmlns="http://www.w3.org/2000/svg" x="0px" y="0px"
                            width="24" height="24"
                            viewBox="0 0 226 226"
                            style=" fill:#000000;"><g fill="none" fill-rule="nonzero" stroke="none" stroke-width="1" stroke-linecap="butt" stroke-linejoin="miter" stroke-miterlimit="10" stroke-dasharray="" stroke-dashoffset="0" font-family="none" font-weight="none" font-size="none" text-anchor="none" style="mix-blend-mode: normal"><path d="M0,226v-226h226v226z" fill="none"></path><g fill="#ffffff"><path d="M113,18.87931c-6.20773,0 -12.41831,2.34873 -17.11369,7.04411l-58.82658,58.82658h-15.96419c-7.25818,0 -12.94514,6.90813 -11.55013,14.03304l16.36881,83.65568c2.80118,14.32325 15.44256,24.72795 30.03401,24.72795h114.01156c14.59146,0 27.23284,-10.40469 30.03402,-24.72795l16.36882,-83.65568c1.39501,-7.12491 -4.29195,-14.03304 -11.55013,-14.03304h-15.87223l-58.83578,-58.82658c-4.69538,-4.69538 -10.89676,-7.04411 -17.10449,-7.04411zM113,32.91235c2.56389,0 5.12252,1.00272 7.11768,2.99788l48.84896,48.83976h-111.93327l48.83976,-48.83976c1.99516,-1.99516 4.56298,-2.99788 7.12687,-2.99788zM23.96468,98.875h14.98022c0.6437,0.08926 1.29665,0.08926 1.94035,0h144.24788c0.62859,0.08506 1.26578,0.08506 1.89437,0h14.92505l-15.81706,80.85091c-1.52107,7.77766 -8.25191,13.31576 -16.1757,13.31576h-114.01156c-7.92378,0 -14.65463,-5.53809 -16.1757,-13.31576zM58.66105,117.60718c-1.99464,0.05204 -3.87422,0.9453 -5.1742,2.45903c-1.29998,1.51372 -1.89907,3.50667 -1.6492,5.48629l4.70833,42.375c0.20694,2.56647 1.79405,4.81701 4.14211,5.87353c2.34806,1.05652 5.08501,0.75162 7.14298,-0.79575c2.05798,-1.54736 3.1109,-4.09201 2.74794,-6.6411l-4.70833,-42.375c-0.3563,-3.68955 -3.50411,-6.476 -7.20964,-6.382zM96.41048,117.60718c-3.8969,0.06088 -7.00805,3.26668 -6.95215,7.16365v42.375c-0.03602,2.54699 1.30215,4.91607 3.5021,6.20008c2.19995,1.28401 4.92084,1.28401 7.1208,0c2.19995,-1.28401 3.53812,-3.65309 3.5021,-6.20008v-42.375c0.0274,-1.90979 -0.71982,-3.74926 -2.07124,-5.09896c-1.35143,-1.3497 -3.19186,-2.09455 -5.10161,-2.0647zM129.36881,117.60718c-3.8969,0.06088 -7.00805,3.26668 -6.95215,7.16365v42.375c-0.03602,2.54699 1.30215,4.91607 3.5021,6.20008c2.19995,1.28401 4.92084,1.28401 7.1208,0c2.19995,-1.28401 3.53812,-3.65309 3.5021,-6.20008v-42.375c0.0274,-1.90979 -0.71982,-3.74926 -2.07124,-5.09896c-1.35143,-1.3497 -3.19186,-2.09455 -5.10161,-2.0647zM167.12744,117.60718c-3.62472,0.0165 -6.64858,2.77413 -6.99813,6.382l-4.70833,42.375c-0.36295,2.54909 0.68997,5.09374 2.74794,6.6411c2.05798,1.54736 4.79493,1.85227 7.14298,0.79575c2.34806,-1.05652 3.93517,-3.30706 4.14211,-5.87353l4.70833,-42.375c0.25375,-2.01582 -0.37284,-4.04328 -1.71969,-5.56443c-1.34685,-1.52115 -3.28351,-2.38865 -5.31522,-2.38088z"></path></g></g></svg>
                        </a></li> 
                        <li class="nav-item">
                            <a class="btn btn-outline-success" href="/inscription">Inscription</a>
                        </li>  
                        <li class="nav-item"> 
                            <a class="btn btn-outline-info" href="{{ path('app_login') }}">Connexion</a> 
                        </li> 
                    {% endif %} 
                    </ul>   
                </div>
            </nav>
            <div class="container">
                {% block body %}
                
                {% endblock %}           
            </div>
            <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>
            
    </body>
</html>
